View Issue Details

IDProjectCategoryView StatusLast Update
0010265ScribusStylespublic2016-04-13 16:00
ReporterDrMartinus Assigned To 
PriorityhighSeveritymajorReproducibilityrandom
Status newResolutionopen 
Platform64 bitOSLinux MintOS Version11
Product Version1.4.0svn 
Target VersionFixed in Version 
Summary0010265: Style attributes aren't set properly to the text
DescriptionI am applying a style to a text in the story editor, and find that another font is set than the one that's set in the style. The font that is set is the default font.
I am unable to change this except by highlighting the entire text and choosing the correct font from the font list.
Steps To ReproduceNo idea.
Additional InformationAs this occurs randomly (but quite often, I had it in the last session twice), I am not yet sure what causes this. I use version 1.4.0.rc5, Build ID: C-C-T-F-C1.10.2-64bit
Tags#please_test
Patch

Activities

ale

2011-09-16 08:59

manager   ~0026877

you probably have manually set a different font for that paragraph. applying a style won't override local changes.

you have to first wipe the local formatting and then apply the new style.

DrMartinus

2011-09-17 04:32

reporter   ~0026885

Last edited: 2011-09-17 05:22

View 3 revisions

No, I haven't. I open story editor, enter the text and then apply the style. Of course there is the default font, but I wouldn't know how to wipe that. I cannot select no font. The default font isn't changed. BTW, sometimes it also keeps the font size, even though the style has another font size set.
Another info: I just checked in the settings for a "default font". I found only the Text section, where "Arial" was set (I didn't do that, because I don't use that font at all). The font that is set by default in the story editor is Times Eighteen Roman.

Funny thing: after I changed the "Arial" font in the text settings to Times Roman (which I usually use), now in story editor the default font is "Arial". I think something's seriously wrong here.

One more (the third) edit:
I just added a new text, and applied the style (Times Roman, 11 pt). The result shown in the scribus window was a text 11 pt in TimesEighteen Roman, while in the story editor the font that was shown for this text was Arial. When reopening the story editor, it shows TimesEighteen Roman as font.
I had three paragraphs, with two different styles to apply. The first two justified, the last flush right. First I applied the style to the first two paragraphs, everything seemed normal. Then I applied the flush right style to the last paragraph, and the first two paragraphs were set to flush right in the story editor. When applying the changes, justification was set properly.
As I have read in another bug report, I think the story editor needs a complete rewrite. I think it's gotten worse over the previous releases of scribus. The issue I reported here (applying a different font than defined in the style) was not there in the previous versions. I can't go back now unfortunately.

Nelsson

2012-02-07 21:39

reporter   ~0027665

This happens when importing text from .odt document. My guess is that Scribus also imports some local style definitions that will override the style settings. Easy workaround would be a way for an automatic clearing of all local formattings.

Issue History

Date Modified Username Field Change
2011-09-15 15:05 DrMartinus New Issue
2011-09-16 08:59 ale Note Added: 0026877
2011-09-17 04:32 DrMartinus Note Added: 0026885
2011-09-17 05:13 DrMartinus Note Edited: 0026885 View Revisions
2011-09-17 05:22 DrMartinus Note Edited: 0026885 View Revisions
2012-02-07 21:39 Nelsson Note Added: 0027665
2016-04-13 16:00 Kunda Tag Attached: #please_test